package com.eactive.eai.rms.common.login;


import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.eactive.apim.portal.user.entity.UserInfo;
import com.eactive.eai.common.seed.Seed;


@Service
@Transactional
public class LoginServiceImpl implements LoginService {

	@Override
	public boolean needChangePassword(UserInfo userInfo) throws Exception {
		return Seed.decrypt(userInfo.getPassword())
				.equals(userInfo.getUserid());
	}
}
